package com.example.dchartsample;

import javax.servlet.annotation.WebServlet;

import org.dussan.vaadin.dcharts.DCharts;
import org.dussan.vaadin.dcharts.data.DataSeries;
import org.dussan.vaadin.dcharts.metadata.renderers.SeriesRenderers;
import org.dussan.vaadin.dcharts.options.Options;
import org.dussan.vaadin.dcharts.options.SeriesDefaults;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
@Theme("dchartsample")
public class DchartsampleUI extends UI {

	@WebServlet(value = "/*", asyncSupported = true)
	@VaadinServletConfiguration(productionMode = false, ui = DchartsampleUI.class)
	public static class Servlet extends VaadinServlet {
	}

	@Override
	protected void init(VaadinRequest request) {
		final VerticalLayout layout = new VerticalLayout();
		layout.setMargin(true);
		setContent(layout);

		Button button = new Button("Click Me");
		button.addClickListener(new Button.ClickListener() {
			public void buttonClick(ClickEvent event) {
				
				DataSeries dataSeries = new DataSeries()
					.newSeries()
					.add("none", 23)
					.add("error", 0)
					.add("click", 5)
					.add("impression", 25);
	
				SeriesDefaults seriesDefaults = new SeriesDefaults()
					.setRenderer(SeriesRenderers.PIE);
	
				Options options = new Options()
					.setSeriesDefaults(seriesDefaults);
	
				DCharts chart = new DCharts()
					.setDataSeries(dataSeries)
					.setOptions(options)
					.show();
					
				layout.addComponent(chart);
			}
		});
		layout.addComponent(button);
	}

}